input[type=range] {
  -webkit-appearance: none;
  margin: 6px 0;
  width: 100%;
}
input[type=range]:focus {
  outline: none;
}
input[type=range]::-webkit-slider-runnable-track {
  width: 100%;
  height: 3px;
  cursor: pointer;
  animate: 0.2s;
  box-shadow: 0px 0px 0px #222222, 0px 0px 0px #2f2f2f;
  background: white;
  border-radius: 3px;
  border: 0px solid black;
}
input[type=range]::-webkit-slider-thumb {
  box-shadow: 0px 0px 0px #111111, 0px 0px 0px #1e1e1e;
  border: 0px solid white;
  height: 12px;
  width: 12px;
  border-radius: 100%;
  background: DeepSkyBlue;
  cursor: pointer;
  -webkit-appearance: none;
  margin-top: -4.5px;
}
input[type=range]:focus::-webkit-slider-runnable-track {
  background: #ffffff;
}
input[type=range]::-moz-range-track {
  width: 100%;
  height: 3px;
  cursor: pointer;
  animate: 0.2s;
  box-shadow: 0px 0px 0px #222222, 0px 0px 0px #2f2f2f;
  background: white;
  border-radius: 3px;
  border: 0px solid black;
}
input[type=range]::-moz-range-thumb {
  box-shadow: 0px 0px 0px #111111, 0px 0px 0px #1e1e1e;
  border: 0px solid white;
  height: 12px;
  width: 12px;
  border-radius: 100%;
  background: DeepSkyBlue;
  cursor: pointer;
}
input[type=range]::-ms-track {
  width: 100%;
  height: 3px;
  cursor: pointer;
  animate: 0.2s;
  background: transparent;
  border-color: transparent;
  border-width: 12px 0;
  color: transparent;
}
input[type=range]::-ms-fill-lower {
  background: #f2f2f2;
  border: 0px solid black;
  border-radius: 6px;
  box-shadow: 0px 0px 0px #222222, 0px 0px 0px #2f2f2f;
}
input[type=range]::-ms-fill-upper {
  background: white;
  border: 0px solid black;
  border-radius: 6px;
  box-shadow: 0px 0px 0px #222222, 0px 0px 0px #2f2f2f;
}
input[type=range]::-ms-thumb {
  box-shadow: 0px 0px 0px #111111, 0px 0px 0px #1e1e1e;
  border: 0px solid white;
  height: 12px;
  width: 12px;
  border-radius: 100%;
  background: DeepSkyBlue;
  cursor: pointer;
}
input[type=range]:focus::-ms-fill-lower {
  background: white;
}
input[type=range]:focus::-ms-fill-upper {
  background: #ffffff;
}
